Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039094
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-08-06 13:252018-08-14 13:13
ReporterLeyreView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisionc91b365b4110
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039094: Do not allow to delete discretionary discounts in a complete receipt.

DescriptionDo not allow to delete discretionary discounts when you recover a receipt completed.
Steps To ReproduceWEB POS:

1. Create a new receipt.
2. Add a discretionary discount to an article.
3. Open the previous receipt.
4. Try to delete the included discount.

Note: If the receipt was completed, it should not be possible to delete the discount.
TagsNo tags attached.
Attached Filespatch file icon issue 39094 RR17Q1 source posterminal.patch [^] (1,052 bytes) 2018-08-13 15:31 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106292)
hgbot (developer)
2018-08-10 15:28

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5bbf0def3c617d7d0418f1bbf78cc642ce18cd74
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Aug 10 18:57:57 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5bbf0def3c617d7d0418f1bbf78cc642ce18cd74 [^]

Fixed issue 39094 : Hide Edit Tab Button if order is not editable

* Hide all the buttons in the edit tab if the order is not editable
* Refactored editline rearrangeEditButtonBar

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0106322)
hgbot (developer)
2018-08-13 13:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5b01ab59db80c7f828fb9c4e8366b20ff79ffd9d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Aug 13 17:19:15 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5b01ab59db80c7f828fb9c4e8366b20ff79ffd9d [^]

Related to issue 39094 : Backed out changeset: 5bbf0def3c61

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0106323)
hgbot (developer)
2018-08-13 14:06

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: efdb25d95536e2c58595010ff72a7966a0a01811
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Aug 13 17:36:28 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/efdb25d95536e2c58595010ff72a7966a0a01811 [^]

Fixed issue 39094 : Hide Edit Tab Remove Discount Button if order is not editable

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0106342)
hgbot (developer)
2018-08-14 13:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c91b365b41102adc395fc48a9e2ea40406572dae
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Aug 14 16:42:49 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c91b365b41102adc395fc48a9e2ea40406572dae [^]

Fixed issue 39094 : Hide Edit Tab Remove Discount Button if line is not editable

* Show Edit Tab Remove Discount Button if both order and line is editable
* For Verified returns, Original receipt line discount should not be removed

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0106343)
hgbot (developer)
2018-08-14 13:13

Repository: tools/automation/pi-mobile
Changeset: 4aa0249394ba9733a694da2755b7f660466f5a39
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Aug 14 16:43:04 2018 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/4aa0249394ba9733a694da2755b7f660466f5a39 [^]

Verifies issue 39094 : Added automated test 'I39094_VerifyDeleteDiscountButton'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I39094_VerifyDeleteDiscountButton.java
---

- Issue History
Date Modified Username Field Change
2018-08-06 13:25 Leyre New Issue
2018-08-06 13:25 Leyre Assigned To => Retail
2018-08-06 13:25 Leyre Triggers an Emergency Pack => No
2018-08-07 12:24 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-08-07 12:25 ranjith_qualiantech_com Status new => scheduled
2018-08-10 15:28 hgbot Checkin
2018-08-10 15:28 hgbot Note Added: 0106292
2018-08-10 15:28 hgbot Status scheduled => resolved
2018-08-10 15:28 hgbot Resolution open => fixed
2018-08-10 15:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5bbf0def3c617d7d0418f1bbf78cc642ce18cd74 [^]
2018-08-13 13:50 hgbot Checkin
2018-08-13 13:50 hgbot Note Added: 0106322
2018-08-13 13:54 ranjith_qualiantech_com Status resolved => new
2018-08-13 13:54 ranjith_qualiantech_com Resolution fixed => open
2018-08-13 13:54 ranjith_qualiantech_com Status new => scheduled
2018-08-13 14:06 hgbot Checkin
2018-08-13 14:06 hgbot Note Added: 0106323
2018-08-13 14:06 hgbot Status scheduled => resolved
2018-08-13 14:06 hgbot Resolution open => fixed
2018-08-13 14:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5bbf0def3c617d7d0418f1bbf78cc642ce18cd74 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/efdb25d95536e2c58595010ff72a7966a0a01811 [^]
2018-08-13 15:31 ranjith_qualiantech_com File Added: issue 39094 RR17Q1 source posterminal.patch
2018-08-14 09:01 ranjith_qualiantech_com Status resolved => new
2018-08-14 09:01 ranjith_qualiantech_com Resolution fixed => open
2018-08-14 09:01 ranjith_qualiantech_com Status new => scheduled
2018-08-14 13:13 hgbot Checkin
2018-08-14 13:13 hgbot Note Added: 0106342
2018-08-14 13:13 hgbot Status scheduled => resolved
2018-08-14 13:13 hgbot Resolution open => fixed
2018-08-14 13:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/efdb25d95536e2c58595010ff72a7966a0a01811 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c91b365b41102adc395fc48a9e2ea40406572dae [^]
2018-08-14 13:13 hgbot Checkin
2018-08-14 13:13 hgbot Note Added: 0106343


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker